--- gcc-6.4.0/gcc/config.gcc.~1~	Mon Jan  9 21:01:26 2017
+++ gcc-6.4.0/gcc/config.gcc	Sun May 19 13:17:44 2019
@@ -874,6 +874,11 @@
       ;;
   esac
   ;;
+*-*-unleashed*)
+  gas=yes
+  gnu_ld=yes
+  default_use_cxa_atexit=yes
+  ;;
 *-*-*vms*)
   extra_options="${extra_options} vms/vms.opt"
   xmake_file=vms/x-vms
@@ -1636,6 +1641,10 @@
 	tm_file="${tm_file} i386/unix.h i386/att.h dbxelf.h elfos.h i386/i386elf.h i386/rtemself.h rtems.h newlib-stdint.h"
 	tmake_file="${tmake_file} i386/t-rtems"
 	;;
+x86_64-*-unleashed*)
+	tm_file="${tm_file} i386/unix.h i386/att.h dbxelf.h elfos.h i386/i386elf.h i386/x86-64.h unleashed.h"
+	tmake_file="${tmake_file} i386/t-unleashed-64"
+	;;
 i[34567]86-*-solaris2* | x86_64-*-solaris2.1[0-9]*)
 	# Set default arch_32 to pentium4, tune_32 to generic like the other
 	# i386 targets, although config.guess defaults to i386-pc-solaris2*.
